import type { IGraphic, IPlugin, IStage } from '@visactor/vtable/es/vrender';
import { HtmlAttributePlugin } from '@visactor/vtable/es/vrender';
import type { VNode } from 'vue';
export declare class VTableVueAttributePlugin extends HtmlAttributePlugin implements IPlugin {
    name: string;
    htmlMap: Record<string, {
        wrapContainer: HTMLElement;
        nativeContainer: HTMLElement;
        container: string | HTMLElement | null;
        renderId: number;
        graphic: IGraphic;
        isInViewport: boolean;
        lastPosition?: {
            x: number;
            y: number;
        } | null;
        lastStyle?: Record<string, any>;
    }>;
    private renderQueue;
    private isRendering;
    currentContext?: any;
    constructor(currentContext?: any);
    renderGraphicHTML(graphic: IGraphic): void;
    private scheduleRender;
    doRenderGraphic(graphic: IGraphic): void;
    private getGraphicOptions;
    checkToPassAppContext(vnode: VNode, graphic: IGraphic): void;
    checkNeedRender(graphic: IGraphic): boolean;
    checkInViewport(graphic: IGraphic): boolean;
    checkDom(dom: HTMLElement): boolean;
    removeAllDom(g: IGraphic): void;
    removeElement(id: string, clear?: boolean): void;
    getWrapContainer(stage: IStage, userContainer?: string | HTMLElement | null, domParams?: any): {
        wrapContainer: HTMLElement;
        nativeContainer: HTMLElement;
    };
    updateStyleOfWrapContainer(graphic: IGraphic, stage: IStage, wrapContainer: HTMLElement, nativeContainer: HTMLElement): void;
    private convertCellStyle;
    private calculatePosition;
    private calculateOffset;
    private applyUserStyles;
}
